OpenTTD Source: GUIEngineListItem Struct Reference

OpenTTD Source 15.3

Public Member Functions | Data Fields
GUIEngineListItem Struct Reference

## Public Member Functions
| GUIEngineListItem (EngineID engine_id, EngineID variant_id, EngineDisplayFlags flags, uint8_t indent)

## Data Fields
EngineID | engine_id
| Engine to display in build purchase list.
EngineID | variant_id
| Variant group of the engine.
EngineDisplayFlags | flags
| Flags for toggling/drawing (un)folded status and controlling indentation.
uint8_t | indent
| Display indentation level.
uint16_t | level_mask
| Mask of level continuations.

## Detailed Description

Definition at line 21 of file engine_gui.h.

## Constructor & Destructor Documentation

## ◆ GUIEngineListItem()

GUIEngineListItem::GUIEngineListItem | ( | EngineID | engine_id,
|  | EngineID | variant_id,
|  | EngineDisplayFlags | flags,
|  | uint8_t | indent
| ) |  |
| inline

Definition at line 28 of file engine_gui.h.

## Field Documentation

## ◆ engine_id

EngineID GUIEngineListItem::engine_id

Engine to display in build purchase list.

Definition at line 22 of file engine_gui.h.

Referenced by AircraftEngineCargoSorter(), AircraftRangeSorter(), CargoAndEngineFilter(), EngineCostSorter(), EngineIntroDateSorter(), EngineNameSorter(), EngineNumberSorter(), EnginePowerSorter(), EnginePowerVsRunningCostSorter(), EngineReliabilitySorter(), EngineRunningCostSorter(), EngineSpeedSorter(), EngineTractiveEffortSorter(), BuildVehicleWindow::FilterEngineList(), ReplaceVehicleWindow::GenerateReplaceVehList(), BuildVehicleWindow::OnClick(), RoadVehEngineCapacitySorter(), ShipEngineCapacitySorter(), TrainEngineCapacitySorter(), and TrainEnginesThenWagonsSorter().

## ◆ flags

EngineDisplayFlags GUIEngineListItem::flags

Flags for toggling/drawing (un)folded status and controlling indentation.

Definition at line 24 of file engine_gui.h.

Referenced by BuildVehicleWindow::OnClick().

## ◆ indent

uint8_t GUIEngineListItem::indent

Display indentation level.

Definition at line 25 of file engine_gui.h.

Referenced by BuildVehicleWindow::OnClick().

## ◆ level_mask

uint16_t GUIEngineListItem::level_mask

Mask of level continuations.

Definition at line 26 of file engine_gui.h.

## ◆ variant_id

EngineID GUIEngineListItem::variant_id

Variant group of the engine.

Definition at line 23 of file engine_gui.h.

Referenced by BuildVehicleWindow::OnClick().

The documentation for this struct was generated from the following file:

- src/engine_gui.h